Gospel Library 2.5

Discussions around the iPhone/iPad/iPod Touch versions of the Gospel Library application.
jamarontating
New Member
Posts: 1
Joined: Thu Sep 18, 2014 6:10 am

Gospel Library 2.5

Postby jamarontating » Thu Sep 18, 2014 6:13 am

Guys i though the new Gospel library was compatible with my old Ipad but sadly its not. I have deleted my Gospel Library 2.5.. is there anyway that i could download it back to my ipad?

thanks in advance for your help. I really need this for my device.

AsherSoul
New Member
Posts: 1
Joined: Mon Sep 22, 2014 6:50 pm

Re: Gospel Library 2.5

Postby AsherSoul » Mon Sep 22, 2014 6:51 pm

I'm in the same boat, were you able to find a solution?

dewstokes
New Member
Posts: 1
Joined: Mon Sep 22, 2014 8:04 pm

Re: Gospel Library 2.5

Postby dewstokes » Mon Sep 22, 2014 8:09 pm

Sad that the programmers didn't think of those that still had paid for iPads. Why can they just leave the old version up. It's not like everyone in the world can afford to change devices every time a new one comes out. What happened to frugal living folks?

russellhltn
Community Administrator
Posts: 20732
Joined: Sat Jan 20, 2007 2:53 pm
Location: U.S.

Re: Gospel Library 2.5

Postby russellhltn » Mon Sep 22, 2014 8:51 pm

dewstokes wrote:Sad that the programmers didn't think of those that still had paid for iPads. Why can they just leave the old version up.

I suspect there might be compatibility issues with 2.5 and syncing notations.
Have you searched the Wiki?
Try using a Google search by adding "site:tech.lds.org/wiki" to the search criteria.

PamelaBonta
Member
Posts: 118
Joined: Sat Nov 30, 2013 8:27 pm

Re: Gospel Library 2.5

Postby PamelaBonta » Fri Oct 24, 2014 5:41 am

The information that I received was that the play stores only allow one version of an app. So, if an app is updated, the store automatically replaces the old version with the new version. Here's the quote from the facebook page: "...the App Store doesn’t allow us to remove an update or revert to a previous version of the app..." https://www.facebook.com/GospelLibrary

dkswenson
New Member
Posts: 2
Joined: Sat Nov 29, 2014 9:19 am

Re: Gospel Library 2.5

Postby dkswenson » Sat Nov 29, 2014 9:20 am

The kindle application detects that my ipad is old, and automatically asks me if I want to download the last compatible version.... Can we (the LDS developers) find out how to do that too?

User avatar
sbradshaw
Senior Member
Posts: 2484
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: Gospel Library 2.5

Postby sbradshaw » Sat Nov 29, 2014 11:23 pm

Apple has strong policies to weed out low-quality or abandoned apps from its store. To enforce this, Apple requires apps to function well on newer devices, so if a developer doesn't update an app to work with newer standards (for example, screen size/resolution), it is removed. At a certain point, my guess is that Gospel Library 2.5 stopped meeting Apple's standards and also could not be updated, so it was removed.

The situation is a little different for your Kindle app (or other apps) because Gospel Library 3 was released as if it were a different app from Gospel Library 2.5 – so both Gospel Library 2.5 and Gospel Library 3 were listed in the store for a time – probably for this very reason, so people with older devices could download the old version (the new version having new features that weren't compatible with older devices).

Gospel Library 3 was released in June 2013. Apple started allowing people to download the "last compatible versions" of apps (like you can with the Kindle app) in September 2013. Had Gospel Library 3 been released after September 2013, most likely it would be available in the same way the Kindle app is.
Samuel Bradshaw • Interested in church apps and sites, creative recordkeeping, clerk support, YSA wards and stakes, LDS music, Vineyard at BYU, and online service.

User avatar
sbradshaw
Senior Member
Posts: 2484
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: Gospel Library 2.5

Postby sbradshaw » Sat Nov 29, 2014 11:26 pm

A Google search also turned up this, which was helpful:
https://www.facebook.com/GospelLibrary/ ... 5909582891

It's clear that the developers planned to continue making the app available, so I think the blame rests with Apple.
Samuel Bradshaw • Interested in church apps and sites, creative recordkeeping, clerk support, YSA wards and stakes, LDS music, Vineyard at BYU, and online service.

JonathanThomasMarshall
New Member
Posts: 9
Joined: Sat Mar 29, 2014 12:44 pm

Re: Gospel Library 2.5

Postby JonathanThomasMarshall » Sun Jan 11, 2015 8:58 am

Seems that content is not made available as quickly for this version of the app. As of today, I'm still not seeing the Ezra Taft Benson manual (which most of us should be discussing for the first time today) available for download. I can still get it through lds.org on my browser. But that means I'm dependent on either my building's wifi (generally reliable) or having a data plan (dependent on the quality / coverage of the carrier's network).

Developers, are there different sets of tables that have to be updated for content on version 2.5 versus the more current versions? It would be nice to understand why the content isn't available in the app.

I realize Apple has put you and all developers in a lousy situation here.

JonathanThomasMarshall
New Member
Posts: 9
Joined: Sat Mar 29, 2014 12:44 pm

Re: Gospel Library 2.5

Postby JonathanThomasMarshall » Fri Jan 16, 2015 8:04 am

I'd be interested in the answer to my question but the Ezra Taft Benson manual is now available.


Return to “iPhone/iPad Gospel Library”

Who is online

Users browsing this forum: No registered users and 1 guest